API7 Docs

Get All Upstreams

GET /v1/upstreams

GET /v1/upstreams

Interactive request editor loads with JavaScript.

Response Body

application/json

curl -X GET "http://127.0.0.1:9090/v1/upstreams"

OK

[
  {
    "value": {
      "scheme": "http",
      "pass_host": "pass",
      "nodes": [
        {
          "host": "127.0.0.1",
          "port": 80,
          "weight": 1
        },
        {
          "host": "foo.com",
          "port": 80,
          "weight": 2
        }
      ],
      "hash_on": "vars",
      "update_time": 1634543819,
      "key": "remote_addr",
      "create_time": 1634539759,
      "id": "1",
      "type": "chash"
    },
    "has_domain": true,
    "key": "/apisix/upstreams/1",
    "createdIndex": 938,
    "modifiedIndex": 1225
  }
]
Complete operation details and schema variants

GET /v1/upstreams

Get All Upstreams

Get all configured upstreams.

Parameters

Responses

  • 200: OK

cURL

curl -X GET 'http://127.0.0.1:9090/v1/upstreams'